# $Revision: 1.17 $, $Date: 2004/05/07 01:12:25 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBIx
%define	pnam	AbstractLite
Summary:	DBIx::AbstractLite - lightweight DBI SQL abstraction in a hybrid interface
Summary(pl):	DBIx::AbstractLite - lekka abstrakcja DBI SQL w hybrydowym interfejsie
Name:		perl-DBIx-AbstractLite
Version:	0.02
Release:	4
# same as perl
License:	GP v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a45ded7d5a4b80e54f6add8c161a3f42
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(Error::Dumb)
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is based on DBIx::Abstract, but is much simpler.  It also
doesn't deviate from the DBI interface as much as DBIx::Abstract does.
The main similarity between DBIx::AbstractLite and DBIx::Abstract is
in the select method.  Unlike Abstract, AbstractLite is not 100%%
abstract in that it still allows conventional access to the DBI
interface, using plain SQL and the DBI statement handle methods.

%description -l pl
Ten modu jest bazowany na DBIx::Abstract, ale jest o wiele prostszy.
Take nie odbiega od interfejsu DBI tak bardzo jak DBIx::Abstract.
Gwne podobiestwo pomidzy DBIx::AbstractLite i DBIx::Abstract to
metoda select. W przeciwiestwie do Abstract, AbstractLite nie jest w
100%% abstrakcyjny w tym, e nadal pozwala na konwencjonalny dostp do
interfejsu DBI, przy uyciu zwykych metod obsugi SQL i wyrae DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-AbstractLite.spec,v $
Revision 1.17  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.16  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.14  2004/04/20 05:50:56  ankry
- license fixes and unification

Revision 1.13  2004/04/14 14:37:49  ankry
- cosmetics

Revision 1.12  2004/03/13 23:09:14  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.11  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:05:01  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:38:31  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:30:43  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/18 20:28:30  qboosh
- really release 2

Revision 1.2  2002/08/18 13:54:20  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
